﻿@model Tuple<ARGNSContainerView, List<string>>
@{
    ViewBag.Title = "Shipment";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/DataPicker")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>

<h1 class="page-header">@Shipment.ShMent</h1>

<form action="#" class="form-horizontal row-border" id="formShipment" method="post">
    <div class="">
        <div class="panel panel-default" id="bloke_info">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionGeneral" href="#accordionGeneral">
                        General / @Shipment.Shipping / @Shipment.Arrival
                        <i class="indicator glyphicon  pull-right glyphicon-chevron-up"></i>
                    </a>
                </h4>
            </div>
            <div id="accordionGeneral" class="panel-collapse collapse" style="height: auto;">
                <div class="panel-body">
                    <div class="col-lg-4">
                        <div class="panel panel-default  min-height-md">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.ShMentData</h3>
                            </div>
                            <div class="panel-body" style="min-height: 150px;">
                                <div class="form-horizontal form-simple">
                                    <div class="col-md-6 no-padding">
                                        <div class="form-group">
                                            <label class="col-md-6 control-label">SAP @Shipment.ShMent</label>
                                            <div class="col-md-6">
                                                @Html.TextBoxFor(c => c.Item1.DocEntry, new { @Id = "DocEntry", @Name = "DocEntry", @placeholder = "SAP" + @Shipment.ShMent, @class = "form-control" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-6 control-label">@Shipment.ShMent #</label>
                                            <div class="col-md-6">
                                                @Html.TextBoxFor(c => c.Item1.U_Shipment, new { @Id = "U_Shipment", @Name = "U_Shipment", @placeholder = @Shipment.ShMent + "#", @class = "form-control" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-6 control-label">@Shipment.Broker ID</label>
                                            <div class="col-md-6">
                                                @Html.TextBoxFor(c => c.Item1.U_Broker, new { @Id = "U_Broker", @Name = "U_Broker", @placeholder = @Shipment.Broker + "ID", @class = "form-control" })
                                            </div>
                                            <div class="col-md-2 pull-right">
                                                <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#VendorModal" style="margin-top:10px !important;"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 no-padding">
                                        <div class="form-group">
                                            <label class="col-md-6 control-label">@Shipment.Status</label>
                                            <div class="col-md-6">
                                                @Html.DropDownListFor(model => model.Item1.U_Status, new SelectList(
                                                    Model.Item1.ListStatus,
                                                    "Code",
                                                    "Name", Model.Item1.U_Status), new { @Id = "U_Status", @Name = "U_Status", @class = "form-control" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-6 control-label">@Shipment.ShipVia</label>
                                            <div class="col-md-6">
                                                @Html.DropDownListFor(model => model.Item1.U_ShipVia, new SelectList(
                                                    Model.Item1.ListFreight,
                                                    "ExpnsCode",
                                                    "ExpnsName", Model.Item1.U_ShipVia), new { @Id = "U_ShipVia", @Name = "U_ShipVia", @class = "form-control" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-md-6 control-label">@Shipment.PE</label>
                                            <div class="col-md-6">
                                                @Html.DropDownListFor(model => model.Item1.U_POE, new SelectList(
                                                    Model.Item1.ListPort,
                                                    "Code",
                                                    "U_Description", Model.Item1.U_POE), new { @Id = "U_POE", @Name = "U_POE", @class = "form-control" })
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3">
                        <div class="panel panel-default  min-height-md">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.UD</h3>
                            </div>
                            <div class="panel-body" style="min-height: 150px;">
                                <div class="form-horizontal form-simple">
                                    <div class="form-group">
                                        <label class="col-md-5 control-label">@Shipment.UT 1</label>
                                        <div class="col-md-7">
                                            @Html.TextBoxFor(c => c.Item1.U_UserTxt1, new { @Id = "U_UserTxt1", @Name = "U_UserTxt1", @placeholder = @Shipment.UT + "1", @class = "form-control" })
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-5 control-label">@Shipment.UT 2</label>
                                        <div class="col-md-7">
                                            @Html.TextBoxFor(c => c.Item1.U_UserTxt2, new { @Id = "U_UserTxt2", @Name = "U_UserTxt2", @placeholder = @Shipment.UT + "2", @class = "form-control" })
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-5 control-label">@Shipment.UT 3</label>
                                        <div class="col-md-7">
                                            @Html.TextBoxFor(c => c.Item1.U_UserTxt3, new { @Id = "U_UserTxt3", @Name = "U_UserTxt3", @placeholder = @Shipment.UT + "3", @class = "form-control" })
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-5 control-label">@Shipment.UT 4</label>
                                        <div class="col-md-7">
                                            @Html.TextBoxFor(c => c.Item1.U_UserTxt4, new { @Id = "U_UserTxt4", @Name = "U_UserTxt4", @placeholder = @Shipment.UT + "4", @class = "form-control" })
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-5">
                        <div class="panel panel-default  min-height-md">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.Arrival / @Shipment.ShMent</h3>
                            </div>
                            <div class="panel-body" style="min-height: 150px;">
                                <div class="form-horizontal form-simple col-md-6 no-padding">
                                    <div class="form-group">
                                        <label class="col-md-6 control-label">@Shipment.ESD</label>
                                        <div class="col-md-6">
                                            <div class="input-group date" id="U_ESD">
                                                @Html.TextBoxFor(c => c.Item1.U_ESD, new { @Id = "U_ESD", @Name = "U_ESD", @placeholder = @Shipment.ESD, @class = "form-control", @Value = (Model.Item1.U_ESD != null && Model.Item1.U_ESD != DateTime.MinValue) ? Model.Item1.U_ESD.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-6 control-label">@Shipment.EDA</label>
                                        <div class="col-md-6">
                                            <div class="input-group date" id="U_EDA">
                                                @Html.TextBoxFor(c => c.Item1.U_EDA, new { @Id = "U_EDA", @Name = "U_EDA", @placeholder = @Shipment.EDA, @class = "form-control", @Value = (Model.Item1.U_EDA != null && Model.Item1.U_EDA != DateTime.MinValue) ? Model.Item1.U_EDA.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-6 control-label">@Shipment.EDW</label>
                                        <div class="col-md-6">
                                            <div class="input-group date" id="U_EDW">
                                                @Html.TextBoxFor(c => c.Item1.U_EDW, new { @Id = "U_EDW", @Name = "U_EDW", @placeholder = @Shipment.EDW, @class = "form-control", @Value = (Model.Item1.U_EDW != null && Model.Item1.U_EDW != DateTime.MinValue) ? Model.Item1.U_EDW.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-horizontal form-simple col-md-6 no-padding">
                                    <div class="form-group">
                                        <label class="col-md-6 control-label">@Shipment.ASD</label>
                                        <div class="col-md-6">
                                            <div class="input-group date" id="U_ASD">
                                                @Html.TextBoxFor(c => c.Item1.U_ASD, new { @Id = "U_ASD", @Name = "U_ASD", @placeholder = @Shipment.ASD, @class = "form-control", @Value = (Model.Item1.U_ASD != null && Model.Item1.U_ASD != DateTime.MinValue) ? Model.Item1.U_ASD.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-6 control-label">@Shipment.AAD</label>
                                        <div class="col-md-6">
                                            <div class="input-group date" id="U_ADA">
                                                @Html.TextBoxFor(c => c.Item1.U_ADA, new { @Id = "U_ADA", @Name = "U_ADA", @placeholder = @Shipment.AAD, @class = "form-control", @Value = (Model.Item1.U_ADA != null && Model.Item1.U_ADA != DateTime.MinValue) ? Model.Item1.U_ADA.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-6 control-label">@Shipment.ADW</label>
                                        <div class="col-md-6">
                                            <div class="input-group date" id="U_ADW">
                                                @Html.TextBoxFor(c => c.Item1.U_ADW, new { @Id = "U_ADW", @Name = "U_ADW", @placeholder = @Shipment.ADW, @class = "form-control", @Value = (Model.Item1.U_ADW != null && Model.Item1.U_ADW != DateTime.MinValue) ? Model.Item1.U_ADW.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

<div class="bs-example2-tabs">
    <ul id="myTab" class="nav nav-tabs" role="tablist">
        <li class="active"><a href="#tabSPD" role="tab" data-toggle="tab">@Shipment.SPD </a></li>
        <li class=""><a href="#tabContainers" role="tab" data-toggle="tab">@Shipment.Containers </a></li>
        <li class=""><a href="#tab3" id="ListShipmentDocument" role="tab" data-toggle="tab">@Shipment.SD</a></li>
        <li class=""><a href="#tab4" role="tab" data-toggle="tab">@Shipment.Attachments</a></li>
    </ul>
    <div id="myTabContent" class="tab-content" style="background-color: #fff;">
        <!--tab1-->
        <div class="tab-pane fade active in" id="tabSPD">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-6 pull-left">
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-lg btn-primary" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="background-color:rgba(0,153,51,1) ">
                                @Shipment.AD
                                <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu">
                                @if (Model.Item1.Lines.Count > 0)
                                {
                                    if (Model.Item1.Lines.FirstOrDefault().U_ObjType == "22")
                                    {
                                        <li id="LiPO"><a onclick="LoadDocumentModal('22')" data-toggle="modal" data-target="#myModalDocument">@PurchaseOrders.POS</a></li>
                                    }
                                    if (Model.Item1.Lines.FirstOrDefault().U_ObjType == "17")
                                    {
                                        <li id="LiSO"><a onclick="LoadDocumentModal('17')" data-toggle="modal" data-target="#myModalDocument">@SaleOrders.SOS</a></li>
                                    }
                                }
                                else
                                {
                                    <li id="LiPO"><a onclick="LoadDocumentModal('22')" data-toggle="modal" data-target="#myModalDocument">@PurchaseOrders.POS</a></li>
                                    <li id="LiSO"><a onclick="LoadDocumentModal('17')" data-toggle="modal" data-target="#myModalDocument">@SaleOrders.SOS</a></li>
                                }
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-6 pull-right">
                        <button class="btn btn-success btn-lg pull-right" type="button" data-toggle="modal" data-target="#myModal" onclick="LoadContainerModalPackages();" id="ContainerModal"><span class="glyphicon glyphicon-plane"></span>&nbsp; @Shipment.CC</button>
                    </div>
                </div>
            </div>
            <div class="panel-body">
                <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                    <div id="TableSPD">
                        @Html.Partial("_SPDTable", Model.Item1.Lines)
                    </div>
                </div>
                <div class="panel-body well">
                    <div class="col-md-6 col-sm-6 pull-right ">
                        <div class="panel-body">
                            <div class="form-group">
                                <label class="col-md-6 control-label">
                                    @PurchaseOrders.TBD|
                                </label>
                                <div class="col-md-6">
                                    <input type="text" disabled="disabled" value="0" id="TotalDoc" name="regular" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-6 control-label">@PurchaseOrders.Discount</label>
                                <div class="col-md-2">
                                    <input id="DiscPrcnt" name="DiscPrcnt" class="form-control" data-val="true" data-val-number="The field DiscPrcnt must be a number." data-val-required="The DiscPrcnt field is required." placeholder="%" type="number" value="0">
                                </div>
                                <div class="col-md-4">
                                    <input id="TotalDisc" value="0" class="form-control" name="pass" type="number">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-6 control-label">@PurchaseOrders.Freight</label>
                                <div class="col-md-3">
                                    <input type="text" value="0.00" id="TotalExpns" name="TotalExpns" class="form-control" disabled="">
                                </div>
                                <div class="col-md-3 pull-right">
                                    <button type="button" id="FreightButton" class="btn btn-success btn-ls pull-right" data-toggle="modal" onclick="fut_modal_body($('.modal'))" data-target="#FreightModal"><span class="glyphicon glyphicon-edit"></span>@PurchaseOrders.Change</button>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-6 control-label">@PurchaseOrders.Tax</label>
                                <div class="col-md-6">
                                    <input id="TotalTax" class="form-control" value="0" type="text" placeholder="placeholder" disabled="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-6 control-label">@PurchaseOrders.TPD</label>
                                <div class="col-md-6">
                                    <input type="text" id="TotalDocPD" name="disabled" disabled="disabled" value="0" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="tab-pane fade" id="tabContainers">
            <div class="panel-body">
                @Html.Partial("_ContainerPackageTable", Model.Item1.ListPackage)
                <div class="clearfix"></div>
            </div>
        </div>
        <div class="tab-pane fade" id="tab3">
            <div class="panel-body" id="tabShipmentDocument">
            </div>
        </div>
        <div class="tab-pane fade" id="tab4">
            <div class="panel-body">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>CODE</th>
                            <th>IREQ_NAME</th>
                            <th>SAP_UDF_NAME</th>
                            <th>DATA_TYPE</th>
                            <th>SIZE</th>
                            <th>Get SAP List Values</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                Central House
                            </td>
                            <td>
                                BPP
                            </td>
                            <td></td>
                            <td>Alphanumeric</td>
                            <td>&nbsp;</td>
                            <td><input type="checkbox" id="" value="option1" checked=""></td>
                            <td>
                                <button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#myModal"><span class="glyphicon glyphicon-circle-arrow-right"></span> Edit</button>
                                <button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#myModal"><span class="glyphicon glyphicon-file"></span> New</button>
                                <button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#myModal"><span class="glyphicon glyphicon-trash"></span> Delete</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-6 col-sm-6  ">
        @if (ViewBag.FormMode != "View")
        {
            <button id="btnOK" class="btn btn-lg btn-success" style="margin-top:10px;">Ok</button>
        }
        @if (Model.Item2.Count > 0)
        {
            @Html.Partial("_CRButton", Tuple.Create((object)Model.Item1, Model.Item2));
        }
    </div>
</div>

<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">@Shipment.CC</h4>
            </div>
            <div class="">
                <div class="panel-body limitador_shipment_pop">
                    <!--tabla-->
                    <div class="col-lg-12 no-padding separador_bottom">
                        <div class="panel panel-default">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.Containers</h3>
                            </div>
                            <div class="panel-body limitador_shipment" id="ContainerModalTable" style="background-color: rgba(217,217,217,0.5);">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-5 no-padding-left ">
                        <div class="panel panel-default ">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.AI</h3>
                            </div>
                            <div class="panel-body limitador_shipment_big" id="ContainerModalAvailableItemsTable">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-2 no-padding">
                        <a id="" class="btn btn-lg btn-success but_shipment" onclick="AddItemToPackage()"><span class="glyphicon glyphicon glyphicon-chevron-right "></span></a>
                        <div class="clearfix"></div>
                        <a id="" class="btn btn-lg btn-success but_shipment" onclick="RemoveItemToPackage()"><span class="glyphicon glyphicon glyphicon-chevron-left"></span></a>
                    </div>
                    <div class="col-lg-5 no-padding-right">
                        <div class="panel panel-default  ">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.ContainerContent</h3>
                            </div>
                            <div class="panel-body limitador_shipment_big" id="ContainerModalPackageItemsTable">
                            </div>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="$('#myModal').modal('hide');">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="myModalPackage" tabindex="-1" role="dialog" aria-labelledby="myModalPackageLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalPackageLabel">@Shipment.PS</h4>
            </div>
            <div class="">
                <div class="panel-body limitador_shipment_pop">
                    <!--tabla-->
                    <div class="col-lg-12 no-padding separador_bottom">
                        <div class="panel panel-default">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.EP</h3>
                            </div>
                            <div class="panel-body limitador_shipment" id="PSlipModalTable" style="background-color: rgba(217,217,217,0.5);">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-5 no-padding-left ">
                        <div class="panel panel-default ">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.AI</h3>
                            </div>
                            <div class="panel-body limitador_shipment_big" id="PSlipModalAvailableItemsTable">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-2 no-padding">
                        <a id="" class="btn btn-lg btn-success but_shipment" onclick="AddItemToPSlip()"><span class="glyphicon glyphicon glyphicon-chevron-right "></span></a>
                        <div class="clearfix"></div>
                        <a id="" class="btn btn-lg btn-success but_shipment" onclick="RemoveItemToPSlip()"><span class="glyphicon glyphicon glyphicon-chevron-left"></span></a>
                    </div>
                    <div class="col-lg-5 no-padding-right">
                        <div class="panel panel-default  ">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">@Shipment.PC</h3>
                            </div>
                            <div class="panel-body limitador_shipment_big" id="PSlipModalPackageItemsTable">
                            </div>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="$('#myModalPackage').modal('hide');">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="myModalDocument" tabindex="-1" role="dialog" aria-labelledby="myModalDocumentLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalDocumentLabel">@Shipment.ASPL</h4>
            </div>
            <div class="">
                <div class="panel-body limitador_shipment_pop">
                    <!--tabla-->
                    <div class="col-lg-12 no-padding separador_bottom">
                        <div class="panel panel-default">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">List of Documents</h3>
                            </div>
                            <div class="panel-body limitador_shipment" id="DocumentModalTable" style="background-color: rgba(217,217,217,0.5);">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <button type="button" id="btnDocumentChoose" class="btn btn-primary">Choose</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="myModalDocumentLines" tabindex="-1" role="dialog" aria-labelledby="myModalDocumentLinesLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalDocumentLinesLabel">@Shipment.ASPL</h4>
            </div>
            <div class="">
                <div class="panel-body limitador_shipment_pop">
                    <!--tabla-->
                    <div class="col-lg-12 no-padding separador_bottom">
                        <div class="panel panel-default">
                            <div class="panel-heading clearfix">
                                <i class="icon-calendar"></i>
                                <h3 class="panel-title">List of Documents Lines</h3>
                            </div>
                            <div class="panel-body limitador_shipment" id="DocumentLinesModalTable" style="background-color: rgba(217,217,217,0.5);">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <button type="button" id="btnDocumentLinesChoose" class="btn btn-primary">Choose</button>
            </div>
        </div>
    </div>
</div>

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@PurchaseOrders.Search @PurchaseOrders.Vendor</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeVendor" value="option1" checked=""> @PurchaseOrders.BC
                        </label>

                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameVendor" value="option1" checked=""> @PurchaseOrders.BN
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchVendor" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchBP" onclick="fut_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadVendor" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyVendor">
                            @Html.Partial("_BusinessPartner", new List<BusinessPartnerView>())
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

<input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />
<input type="hidden" name="msgSelectPackage" id="msgSelectPackage" value="@Shipment.PSP" />
<input type="hidden" name="msgSelectItem" id="msgSelectItem" value="@Shipment.PSI" />
<input type="hidden" name="msgSelectItemQuantity" id="msgSelectItemQuantity" value="@Shipment.PSIIQ" />
<input type="hidden" name="msgSelectItemQuantityGter" id="msgSelectItemQuantityGter" value="@Shipment.msgSelectItemQuantityGter" />
@Scripts.Render("~/bundles/Shipment")
